import re
import sys

def main():
    yaml_file = sys.argv[1]

    with open(yaml_file, 'r') as file:
        data = file.read()

    pattern = r'\bversion:\s*(\S+)'
    match = re.search(pattern, data)

    if match:
        version = match.group(1)
        print(f"Version: {version}")
        print(f"::set-output name=newVersion::{version}")
    else:
        print("Version not found in the YAML file")

if __name__ == '__main__':
    main()
