import 'dart:convert';

import 'package:dio/dio.dart';
import 'package:progamification/progamification.dart';
import 'package:progamification/src/constants/service_urls.dart';
import 'package:progamification/src/environments/env.dart';
import 'package:progamification/src/utilities/http_client.dart';

class ProGamificationService {
  Future<dynamic> addPointsToUser(
      Map<String, dynamic> triggerGameAction) async {
    Dio httpClient = getHttpClient(baseUrl);
    final response = await httpClient.post(
      ServiceUrls.updateGameAction,
      data: json.encode(triggerGameAction),
      options: Options(
        headers: {
          "userId": ProgamificationConfig.instance.userId,
          "appId": ProgamificationConfig.instance.appId,
        },
      ),
    );
    if (response.statusCode == 200) {
      return response.data['data'];
    } else {
      return null;
    }
  }
}
