import 'package:dio/dio.dart';
import 'package:progamification/src/constants/service_urls.dart';
import 'package:progamification/src/environments/env.dart';
import 'package:progamification/src/utilities/http_client.dart';

class AxiosServices {
  Dio getServiceInstance() {
    return getHttpClient(baseUrl);
  }
}

class UserGroupService {
  Dio httpClient = AxiosServices().getServiceInstance();

  Future<dynamic> getUserGroupByAppId(String userId, String appId) async {
    Map<String, dynamic> bodyMap = {
      'userId': userId,
      'applicationId': appId,
    };

    Response response = await httpClient.post(
      ServiceUrls.getUserGroupByAppId,
      data: bodyMap,
      options: Options(
        headers: bodyMap,
      ),
    );

    return response;
  }

  Future<dynamic> getRankByUserGroupId(
      String appId, String userId, String userGrpId) async {
    Map<String, dynamic> bodyMap = {
      'userGroupId': userGrpId,
      'userId': userId,
      'applicationId': appId,
    };

    Response response = await httpClient.post(
      ServiceUrls.getRankByUserGroupId(1, 10),
      data: bodyMap,
      options: Options(
        headers: bodyMap,
      ),
    );

    return response;
  }
}
