import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:progamification/src/environments/env.dart';
import 'package:progamification/src/services/sas_token.service.dart';
import 'package:progamification/src/widgets/billing_form.dart';
import 'package:progamification/src/widgets/wallet_balance.dart';

class FailureRedeem extends StatefulWidget {
  final String userId;
  final String applicationId;
  final Object productId;
  const FailureRedeem({
    Key? key,
    required this.userId,
    required this.applicationId,
    required this.productId,
  }) : super(key: key);

  @override
  State<FailureRedeem> createState() => _FailureRedeemState();
}

class _FailureRedeemState extends State<FailureRedeem> {
  SasTokenService sasTokenService = Get.find<SasTokenService>();
  String sasToken = "";
  @override
  void initState() {
    super.initState();

    super.initState();
    sasTokenService.getSasToken().then((value) {
      setState(() {
        sasToken = value.toString();
      });
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        backgroundColor: Colors.white,
        automaticallyImplyLeading: false,
        toolbarHeight: kTextTabBarHeight,
        flexibleSpace: Get.width < 600
            ? Row(
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Container(
                      margin: const EdgeInsets.only(top: 45.0, left: 20),
                      child: Text(
                        "Redeem",
                        style: TextStyle(
                            fontSize: 28, fontWeight: FontWeight.bold),
                      )),
                  Spacer(),
                  Row(
                    children: [
                      Container(
                        width: 80,
                        decoration: BoxDecoration(
                          borderRadius: BorderRadius.circular(50),
                          border: Border.all(color: Colors.grey[400]!),
                        ),
                        margin: const EdgeInsets.only(top: 45.0),
                        child: WalletBalance(
                          userId: widget.userId,
                          applicationId: widget.applicationId,
                        ),
                      ),
                      Container(
                        decoration: BoxDecoration(
                          borderRadius: BorderRadius.circular(50),
                          border: Border.all(color: Colors.grey[400]!),
                        ),
                        margin: const EdgeInsets.only(
                            top: 45.0, left: 20, right: 10),
                        child: ClipRRect(
                          borderRadius: BorderRadius.circular(30),
                          child: FloatingActionButton(
                            onPressed: (() => Navigator.pop(context)),
                            elevation: 0,
                            backgroundColor: Colors.grey[100],
                            child: const Icon(
                              Icons.close,
                              color: Colors.black,
                            ),
                          ),
                        ),
                      ),
                    ],
                  ),
                ],
              )
            : null,
      ),
      body: SafeArea(
        child: Padding(
            padding: const EdgeInsets.only(top: 48.0, bottom: 18.0),
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Image.network(blobUrl + "failure.jpg"),
                Padding(
                  padding: const EdgeInsets.only(top: 8.0, bottom: 8.0),
                  child: Text(
                    "Oops !",
                    style: TextStyle(fontSize: 18.0),
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.only(top: 8.0, bottom: 8.0),
                  child: Text("Your Order has been failed. "),
                ),
                Padding(
                  padding: const EdgeInsets.only(left: 18.0, right: 18.0),
                  child: Container(
                    decoration: BoxDecoration(
                      border: Border(
                        bottom: BorderSide(
                          color: const Color.fromARGB(255, 211, 205, 205),
                          width: 1.0,
                        ),
                      ),
                    ),
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(18.0),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.stretch,
                    children: [
                      ElevatedButton(
                          onPressed: () {
                            Navigator.push(
                              context,
                              MaterialPageRoute(
                                  builder: (context) => BillingForm(
                                        userId: widget.userId,
                                        applicationId: widget.applicationId,
                                        productId: widget.productId,
                                      )),
                            );
                          },
                          child: Text("Retry")),
                    ],
                  ),
                )
              ],
            )),
      ),
    );
  }
}
