import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:get/get_core/src/get_main.dart';
import 'package:progamification/src/controllers/leader_board.dart';
import 'package:progamification/src/models/leader_board.dart';
import 'package:progamification/src/widgets/leaderboard_table.dart';
import 'package:progamification/src/widgets/list_user_groups.dart';

class LeaderboardTabs extends StatefulWidget {
  final LeaderBoardModel currentUser;
  final String userId;
  final String applicationId;
  final List<LeaderBoardModel>? leaderBoardData;
  LeaderboardTabs(
      {super.key,
      required this.currentUser,
      required this.userId,
      required this.applicationId,
      this.leaderBoardData});
  @override
  _LeaderboardTabsState createState() => _LeaderboardTabsState();
}

class _LeaderboardTabsState extends State<LeaderboardTabs> {
  LeaderBoardController leaderBoardController =
      Get.find<LeaderBoardController>();
  int _selectedTabIndex = 0;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: MediaQuery.of(context).size.height,
      child: Scaffold(
        body: SingleChildScrollView(
          child: Column(
            children: [
              Center(
                child: Container(
                  width: 270,
                  margin: EdgeInsets.only(top: 8.0, bottom: 8.0),
                  decoration: BoxDecoration(
                    border: Border.all(
                      color: Color(0xFFff8725),
                      width: 1,
                    ),
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(30),
                  ),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      _buildTab('Local', 0),
                      _buildTab('Over All', 1),
                    ],
                  ),
                ),
              ),
              _selectedTabIndex == 0
                  ? LeaderBoardTable(
                      currentUser: widget.currentUser,
                      leaderBoardData: widget.leaderBoardData ??
                          leaderBoardController.leaderBoardData)
                  : ListUserGroups(
                      currentUser: widget.currentUser,
                      applicationId: widget.applicationId,
                      userId: widget.userId),
            ],
          ),
        ),
      ),
    );
  }

  Widget _buildTab(String title, int index) {
    return SizedBox(
      width: 125,
      child: ElevatedButton(
        onPressed: () {
          setState(() {
            _selectedTabIndex = index;
          });
        },
        style: ElevatedButton.styleFrom(
          backgroundColor: _selectedTabIndex == index ? Color(0xFFff8725) : Colors.white,
          elevation: 0,
        ),
        child: Text(
          title,
          style: TextStyle(
            color: _selectedTabIndex == index ? Colors.white : Colors.black,
          ),
        ),
      ),
    );
  }
}
