import 'package:flutter/material.dart';
import 'package:progamification/src/environments/env.dart';
import 'package:progamification/src/widgets/list_order_products.dart';

class Order extends StatelessWidget {
  final String userId;
  final String applicationId;

  Order({required this.userId, required this.applicationId});

  void _handleOpenPopup(BuildContext context) {
    Navigator.of(context).push(
      MaterialPageRoute(
        builder: (context) => ListOrderProduct(
          userId: userId,
          applicationId: applicationId,
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () => _handleOpenPopup(context),
      child: Container(
        margin: EdgeInsets.all(8),
        padding: EdgeInsets.all(12),
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(8),
          color: Color(0xFFFFF6E6),
          boxShadow: [
            BoxShadow(
              color: Colors.grey.withOpacity(0.5),
              spreadRadius: 2,
              blurRadius: 5,
              offset: Offset(0, 3),
            ),
          ],
        ),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text(
              "My Vouchers",
              style: TextStyle(fontSize: 16, fontWeight: FontWeight.bold),
            ),
            SizedBox(height: 8),
            Container(
              child: Padding(
                padding: const EdgeInsets.all(8.0),
                child: Image.network(
                  blobUrl + "orders-min.gif",
                  width: 35,
                  height: 35,
                ),
              ),
            ),
            SizedBox(height: 8),
            Row(
              children: [
                Text(
                  "Explore your vouchers",
                  style: TextStyle(fontSize: 10, color: Color(0xFF333333)),
                ),
                Icon(Icons.arrow_forward, size: 15, color: Color(0xFF333333)),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
