import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:get/get_core/src/get_main.dart';

class OrderedProduct extends StatefulWidget {
  final String userId;
  final String applicationId;
  final product;
  const OrderedProduct(
      {Key? key,
      required this.userId,
      required this.applicationId,
      required this.product})
      : super(key: key);

  @override
  State<OrderedProduct> createState() => _OrderedProductState();
}

class _OrderedProductState extends State<OrderedProduct> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          backgroundColor: Colors.white,
          automaticallyImplyLeading: false,
          toolbarHeight: kTextTabBarHeight,
          flexibleSpace: Get.width < 600
              ? Row(
                  crossAxisAlignment: CrossAxisAlignment.center,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                        margin: const EdgeInsets.only(top: 45.0, left: 20),
                        child: Text(
                          "Order Histroy",
                          style: TextStyle(
                              fontSize: 28, fontWeight: FontWeight.bold),
                        )),
                    Spacer(),
                    Row(
                      children: [
                        Container(
                          decoration: BoxDecoration(
                            borderRadius: BorderRadius.circular(50),
                            border: Border.all(color: Colors.grey[400]!),
                          ),
                          margin: const EdgeInsets.only(
                              top: 45.0, left: 20, right: 10),
                          child: ClipRRect(
                            borderRadius: BorderRadius.circular(30),
                            child: FloatingActionButton(
                              onPressed: (() => Navigator.pop(context)),
                              elevation: 0,
                              backgroundColor: Colors.grey[100],
                              child: const Icon(
                                Icons.close,
                                color: Colors.black,
                              ),
                            ),
                          ),
                        ),
                      ],
                    ),
                  ],
                )
              : null,
        ),
        body: Container(
          child: Padding(
            padding: const EdgeInsets.all(18.0),
            child: Column(
              mainAxisAlignment: MainAxisAlignment.start,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(
                  widget.product['productName'],
                  style: TextStyle(fontSize: 18.0, fontWeight: FontWeight.bold),
                ),
                Image.network(
                  widget.product['productImageUrl'],
                  width: 700,
                  height: 500,
                ),
                Row(
                  children: [
                    Text("Order Placed on : "),
                    Text(widget.product['createdOn']),
                  ],
                ),
                Row(
                  children: [
                    Text("Transaction Amount :"),
                    Text(
                      (widget.product['transactionAmount']).toString(),
                    ),
                  ],
                )
              ],
            ),
          ),
        ));
  }
}
