import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:get/get_core/src/get_main.dart';
import 'package:progamification/src/services/redeem.service.dart';
import 'package:progamification/src/services/sas_token.service.dart';

class WalletBalance extends StatefulWidget {
  final String userId;
  final String applicationId;
  WalletBalance({super.key, required this.userId, required this.applicationId});

  @override
  State<WalletBalance> createState() => _WalletBalanceState();
}

class _WalletBalanceState extends State<WalletBalance> {
  SasTokenService sasTokenService = Get.find<SasTokenService>();
  String sasToken = "";
  late Map<String, dynamic> userWalletBalance = {};
  @override
  void initState() {
    super.initState();
    sasTokenService.getSasToken().then((value) {
      setState(() {
        sasToken = value.toString();
      });
    });
    _getWalletBalance(widget.userId, widget.applicationId);
  }

  Future<void> _getWalletBalance(String userId, String appId) async {
    try {
      await Get.find<RedeemService>()
          .getWalletBalance(appId, userId)
          .then((data) async {
        setState(() {
          userWalletBalance =
              Map<String, dynamic>.from(data!.data!['balance'][0]);
        });
      });
    } catch (e) {}
  }

  @override
  Widget build(BuildContext context) {
    return userWalletBalance.isNotEmpty && sasToken.isNotEmpty
        ? Container(
            width: 80,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(50),
              border: Border.all(color: Colors.grey[400]!),
            ),
            margin: const EdgeInsets.only(top: 45.0),
            child: ClipRRect(
              borderRadius: BorderRadius.circular(30),
              child: FloatingActionButton(
                  onPressed: (() => {}),
                  elevation: 0,
                  backgroundColor: Colors.grey[100],
                  child: Row(
                    children: [
                      Container(
                        margin: const EdgeInsets.only(left: 10),
                        child: Image.network(
                          userWalletBalance['imageUrl'] + sasToken,
                          width: 25,
                          height: 25,
                          fit: BoxFit.cover,
                        ),
                      ),
                      Container(
                          margin: const EdgeInsets.only(left: 10, right: 10),
                          child: Text(userWalletBalance['balance'].toString())),
                    ],
                  )),
            ),
          )
        : SizedBox();
  }
}
